package com.engine.jclattendance.service.impl;

import com.cloudstore.eccom.constant.WeaBoolAttr;
import com.cloudstore.eccom.pc.table.WeaTable;
import com.cloudstore.eccom.pc.table.WeaTableColumn;
import com.cloudstore.eccom.pc.table.WeaTableType;
import com.cloudstore.eccom.result.WeaResultMsg;
import com.engine.core.impl.Service;
import com.engine.jclattendance.service.WorkRulesService;
import weaver.conn.RecordSet;
import weaver.conn.constant.DBConstant;
import weaver.general.PageIdConst;
import weaver.systeminfo.SystemEnv;

import java.util.HashMap;
import java.util.Map;


/**
 * @Author liang.cheng
 * @Date 2023/12/26 6:54 PM
 * @Description: TODO
 * @Version 1.0
 */
public class WorkRulesServiceImpl extends Service implements WorkRulesService {
    @Override
    public Map<String, Object> getWorkRulesList(String resourceIds) {
        Map<String, Object> resultMap = new HashMap<>(4);

        WeaTable table = new WeaTable();
        String pageId = "ba1c29c23a8a46d9acff1d2ee4ff5fb3";
        table.setPageID(pageId);
        table.setPageUID(String.format("%s_%s",pageId,user.getUID()));
        String pageSize = PageIdConst.getPageSize(pageId, user.getUID());
        table.setPagesize(pageSize);
        RecordSet rs=new RecordSet();
        String fields = "t.id, t.mc,t.jc,t.ys,CONCAT(kssj, '-', jssj) as bcsj";
        if(DBConstant.DB_TYPE_SQLSERVER.equalsIgnoreCase(rs.getDBType())){
            fields = "t.id, t.mc,t.jc,t.ys,kssj + '-' + jssj as bcsj";
        }
        table.setBackfields(fields);

        String fromSql = " from uf_jcl_kq_bcxx t";
        table.setSqlform(fromSql);

        String sqlWhere = " where 1=1 and t.attendance_organization in ("+resourceIds+")";
        table.setSqlwhere(sqlWhere);

        table.setSqlprimarykey("id");
        table.getColumns().add(new WeaTableColumn("id").setDisplay(WeaBoolAttr.FALSE));
        table.getColumns().add(new WeaTableColumn("20%", "班次名称", "mc"));
        table.getColumns().add(new WeaTableColumn("20%", "简称", "jc"));
        table.getColumns().add(new WeaTableColumn("20%", "颜色", "ys"));
        table.getColumns().add(new WeaTableColumn("40%", "班次时间", "bcsj"));

        table.setTableType(WeaTableType.RADIO);

        WeaResultMsg result = new WeaResultMsg(false);
        result.putAll(table.makeDataResult());
        result.success();
        resultMap.putAll(result.getResultMap());
        return resultMap;
    }
}
